
import 'package:flutter/material.dart';
import 'package:pq_refresh/pq_refresh.dart';

import '../controllers/list_controller.dart';

class ListPage extends PqPage<ListController> {
  @override
  Widget builder(BuildContext context) {
    return controller.obx(
      (state) => Obx(
        () => PqListView(
            controller: controller,
            itemBuilder: (context, index) => SizedBox(
                  height: 44,
                  child: Text("$index"),
                ),
            itemCount: controller.itemCount.value),
      ),
    );
  }
}
