import 'package:pq_refresh/pq_refresh.dart';

import 'page/pq_super_controller.dart';

/// * description: 基于YhView中的YhSuperController进行二次封装，
/// 新增控制是否有上拉加载更多的能力（配合[YhListView]或[YhSliverView]使用。
abstract class PqListController<M> extends PqSuperController<M> {

  /// 是否是最后一页
  RxBool isLastPage = true.obs;
  /// 用于控制加载动画是否结束
  EasyRefreshController refreshController = EasyRefreshController();

  Future onRefresh();
  Future onLoadMore();
}