import 'package:pq_refresh/pq_refresh.dart';

class ListController extends PqListController {

  RxInt itemCount = 0.obs;

  @override
  void onInit() {
    super.onInit();

    append(() => () async {
      await Future.delayed(Duration(milliseconds: 1000));
      isLastPage.value = false;
      itemCount += 10;
      return 'a';
    });
  }

  @override
  void onDetached() {
    // TODO: implement onDetached
  }

  @override
  void onInactive() {
    // TODO: implement onInactive
  }

  @override
  void onPaused() {
    // TODO: implement onPaused
  }

  @override
  void onResumed() {
    // TODO: implement onResumed
  }

  @override
  Future onLoadMore() async {
    print("xxxxxxxxxx 触发了加载更多");
    await Future.delayed(Duration(seconds: 2));
    itemCount += 10;

    if (itemCount > 50) {
      this.isLastPage.value = true;
    }
  }

  @override
  Future onRefresh() async {
    await Future.delayed(Duration(milliseconds: 1000));
    // throw YhResponse.empty(code: 200);
    itemCount.value = 10;
    return;
  }

}