import 'package:get/get.dart';

import '../pages/home/bindings/home_binding.dart';
import '../pages/home/pages/home_page.dart';
import '../pages/list/bindings/list_binding.dart';
import '../pages/list/pages/list_page.dart';
import '../pages/sliver/bindings/sliver_binding.dart';
import '../pages/sliver/pages/sliver_page.dart';
part 'app_routes.dart';

// ignore: avoid_classes_with_only_static_members
class AppPages {
  static const INITIAL = Routes.ROOT;

  static final routes = [
    GetPage(
      name: Routes.ROOT,
      page: () => HomePage(),
      // binding: RootBinding(),
      bindings: [HomeBinding(), ListBinding(), SliverBinding()]
    ),
    GetPage(
        name: Routes.LIST,
        page: () => ListPage(),),
    GetPage(
      name: Routes.SLIVER,
      page: () => SliverPage(),
    ),
  ];
}
